commit e6e43a433633460ccc0d821cf269cd85b3f4841d
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-09-15 11:14:38 +0800

    Update special_table.h

M	src/storage/special_table.h

commit 66a20b1bebb94431104f02f396a731598a5a1b21
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-09-15 11:14:01 +0800

    Update scripts2/specials.txt

M	scripts2/specials.txt

commit a3add2b676c5c3b9cf05bcaadfe6b26cc51647ad
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-09-15 11:02:44 +0800

    Update NEWS

M	NEWS

commit 2bbde69defa7239dc6171002e7d359951be9736d
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-20 07:58:33 +0800

    Improve pinyin_remember_user_input function for incomplete pinyin

M	src/pinyin.cpp

commit a4bee4593faad577c85fa2d7296da480966bd8a7
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-17 15:14:11 +0800

    Improve pinyin_remember_user_input function

M	src/pinyin.cpp

commit f12961453c16846b9902a339bf2ff44139ab5f7e
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-10 12:37:46 +0800

    Fixes memory leak in pinyin_guess_predicted_candidates function

M	src/pinyin.cpp

commit a97167304e5ff711c335f0a29f535bd8c7cddc04
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-10 12:21:00 +0800

    Bump version 2.6.1

M	configure.ac

commit 1056564e95713313b16fce8863e5ad20685c27d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-03-25 12:31:37 +0800

    Update full pinyin parser code

M	src/storage/pinyin_parser2.cpp

commit cf0cdf8bf46a6d72f7069a5f787ebc51a9b8bc34
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2021-03-24 03:46:40 -0400

    update special_table.h

M	src/storage/special_table.h

commit 62ce1215ded656ebe571c6db8735d123ed34ed64
Author: Zhangyuan Nie <yuan@znie.org>
Date:   2021-03-24 03:20:30 -0400

    update script2/specials.txt

M	scripts2/specials.txt

commit 68590829859b9a38e3b22c0c8d316e216dd292e9
Author: Andreas Cord-Landwehr <cordlandwehr@kde.org>
Date:   2021-01-04 20:55:47 +0100

    Fix header installation path
    
    Adapt installation directory to match pc file.

M	CMakeLists.txt

commit 76a20ae5801f6002d08fd698d06f447cae112d6f
Author: Weixuan XIAO <veyx.shaw@gmail.com>
Date:   2020-12-21 19:54:24 +0100

    Check LLVM LD instead of Clang to determine LDFLAG
    
    Fix exported symbols according to the suggestion in
    https://github.com/libpinyin/libpinyin/pull/138

M	configure.ac
M	src/Makefile.am

commit dc25170394ed67dfeb0803d07ab947d1a8889f81
Author: Weixuan XIAO <veyx.shaw@gmail.com>
Date:   2020-12-21 19:49:07 +0100

    Append an empty line to avoid ld warning

M	src/libpinyin.exp
M	src/libzhuyin.exp

commit 19d8e9a1e577fb0d93dc9fb51ea982d677331755
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-12-15 11:23:09 +0800

    Update NEWS

M	NEWS

commit 64be96f11386533d1e7184d96fad25f73741d39e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-12-15 11:19:27 +0800

    bump version 2.6.0

M	configure.ac

commit ccf9c76a38c8a784535499d806843445e1ad385e
Author: Weixuan XIAO <veyx.shaw@gmail.com>
Date:   2020-11-22 19:10:02 +0100

    Replace -version-script flag with -exported_symbols_list for LLVM
    
    Detect whether $CXX is clang with gcc alias.
    
    Use -exported_symbols_list under Clang/LLVM env

M	configure.ac
M	src/Makefile.am
A	src/libpinyin.exp
A	src/libzhuyin.exp

commit 76108f9b60e521af2d716b22dd5dd99d62609e72
Author: Weixuan XIAO <veyx.shaw@gmail.com>
Date:   2020-11-22 19:02:36 +0100

    Fix delimiter for reading table files on macOS
    
    On macOS under llvm/clang++, the default delimiter for format string is
    weird: it cannot read full CJK characters from the table files.
    
    This patch adds macOS-specified code to make "\t" and " " the implicit
    delimiter.
    
    Ref:
    https://stackoverflow.com/questions/12885628/changing-the-scanf-delimiter

M	src/storage/chewing_large_table.cpp
M	src/storage/chewing_large_table2.cpp
M	src/storage/phrase_index.cpp
M	src/storage/phrase_large_table2.cpp
M	src/storage/phrase_large_table3.cpp

commit f1e88a707de818277e937fb77d3d9c737e470377
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-11-24 15:28:53 +0800

    Update CMakeLists.txt

M	CMakeLists.txt
M	data/CMakeLists.txt

commit c47bb8d16597eb025f355d6efd45f16c2f45a730
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-11-17 10:49:52 +0800

    bump version 2.4.93

M	configure.ac

commit c54a9a340c95b1d781063422bab35ebe14e98fec
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-11-17 10:45:38 +0800

    Include database format in libpinyin.pc and libzhuyin.pc

M	libpinyin.pc.in
M	libzhuyin.pc.in

commit 2a63eecb918336aa6134c03277d50691cbbee392
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-11-10 10:29:00 +0800

    update special_table.h

M	src/storage/special_table.h

commit 7f44da7ac05286349e56f862ee21d012ad4e69b5
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-11-10 10:26:39 +0800

    update scripts2

A	scripts2/specials.txt
M	scripts2/specialtable.py

commit 9bb4577a42da7bea06ce1d9f0771950e326ba6e6
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-28 16:05:57 +0800

    Fixes typo again

M	configure.ac

commit d1a47e83f648d987c3cf20e424a63b5384a0861f
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-15 13:21:39 +0800

    Fixes typo

M	configure.ac

commit 78450c31880245a4f87c83b80ac0fc306a96104e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-14 10:52:04 +0800

    Fixes Berkeley DB cursor usage

M	src/storage/chewing_large_table2_bdb.cpp
M	src/storage/flexible_ngram_bdb.h
M	src/storage/ngram_bdb.cpp
M	src/storage/phrase_large_table3_bdb.cpp

commit 31b73dd2c05d2b258c251251765ade141a1eb3fd
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-14 09:57:47 +0800

    import table.conf.in

A	data/table.conf.in

commit b21bfdab7b32375239144899c1666b3ae41ed9c7
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-14 09:53:32 +0800

    Use model19.text.tar.gz

M	data/CMakeLists.txt
M	data/Makefile.am

commit e169b3d22c215ba1485e110a194da904a86751e8
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-10 09:53:04 +0800

    Fixes copy_bdb function

M	src/storage/bdb_utils.h

commit b0bfcf10a1e03d89061054693b803d199c7506e1
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 16:55:36 +0800

    Update table.conf path in utils

M	utils/storage/gen_binary_files.cpp
M	utils/storage/import_interpolation.cpp
M	utils/training/gen_unigram.cpp

commit 8e97484c0bafa2caebf87c775892f3537c89c843
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 16:54:38 +0800

    Update data/Makefile.am

M	data/Makefile.am

commit 50b8799f78a4bd92c44fb4931eac2afb2a1d1aba
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 14:34:24 +0800

    Fixes test_ngram.cpp

M	tests/storage/test_ngram.cpp

commit 932ff0514256570e75d049d2e5d0881b4421bb05
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 14:09:37 +0800

    Use model18.text.tar.gz

M	data/CMakeLists.txt
M	data/Makefile.am

commit bd53f5a59af5aaafa28a2fe7a9476b825c4c8104
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 13:23:59 +0800

    Update NEWS

M	NEWS

commit 3674b1df8e170f74a39ec007a096d245c4cbc9d0
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 13:20:42 +0800

    bump version 2.4.92

M	configure.ac

commit 51f0c3d5666522c6a2ea83eee46b19afa4d9279d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 13:19:32 +0800

    Update configure.ac

M	configure.ac

commit 5e6c16f7fe72408fd0a96087f8513ca70732dd93
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-27 13:18:54 +0800

    support database format in table.conf

M	src/storage/table_info.cpp
M	src/storage/table_info.h

commit 301552bcfae6a3af5721ee98750cd364e0f6d406
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-23 14:09:01 +0800

    Improve pinyin_save function

M	src/pinyin.cpp

commit 47305f5203d99089e7a04d797853b09845cfcc49
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-23 13:48:20 +0800

    Use Kyoto Cabinet snapshot feature

M	src/storage/chewing_large_table2_kyotodb.cpp
M	src/storage/kyotodb_utils.h
M	src/storage/ngram_kyotodb.cpp
M	src/storage/phrase_large_table3_kyotodb.cpp

commit 7a83a153634428aa14e9baafcb5d585e85769ec3
Author: Ruei-Yuan Lu <RueiYuan.Lu@gmail.com>
Date:   2020-09-06 13:07:13 +0800

    Fix missing dynamic symbols in libzhuyin.so
    
    * zhuyin_get_zhuyin_key
    * zhuyin_get_zhuyin_key_rest

M	src/zhuyin.h

commit 1a42a778a34c23efae8cfdb4b8a1649fe08cf8fd
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-25 15:41:03 +0800

    update NEWS

M	NEWS

commit bcbddea99ec91f9919551c5e40801094f41e5a62
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-24 13:59:59 +0800

    CMake: update tests

M	tests/CMakeLists.txt
M	tests/include/CMakeLists.txt
M	tests/storage/CMakeLists.txt

commit 079cbf27c96d31ca487f7137cd8262f553b095f0
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-21 20:36:43 +0800

    improve Kyoto Cabinet usage

M	src/storage/chewing_large_table2_kyotodb.cpp
M	src/storage/ngram_kyotodb.cpp
M	src/storage/phrase_large_table3_kyotodb.cpp

commit 89972e4d34331fe199633b10408f0656f7361e32
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-21 15:55:45 +0800

    fixes merge_single_gram function

M	src/storage/ngram.cpp

commit 91121b958219e022d3e3f8f55ee1dd14a42113a5
Author: Bart Ribbers <bribbers@disroot.org>
Date:   2020-08-20 11:33:51 +0200

    CMake: enable tests

M	tests/CMakeLists.txt

commit fe75754057ca41ad6ce8541e9eb24b14909d5119
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-20 14:40:18 +0800

    update CMakeLists.txt

M	data/CMakeLists.txt

commit c28d06fe68de37284650536bfd1c26edbd9ebcf7
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-19 14:52:26 +0800

    fixes full pinyin in zhuyin.cpp

M	src/zhuyin.cpp

commit 15adb1dbe553bc38c5a2a9032dbf6963cc859772
Author: Weng Xuetian <xweng@google.com>
Date:   2020-08-17 00:41:33 -0700

    Copy the data when merge into single ngram.
    
    system and user single ngram might be invalidated later.

M	src/storage/ngram.cpp

commit 865dd14c83d9ad6fedb523181e2f066ed6b9dff3
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-17 12:35:35 +0800

    improve full pinyin parser

M	src/storage/pinyin_parser2.cpp

commit da26b217982ab096f0307e23b652ec5fdd627925
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-03 13:56:16 +0800

    bump version 2.4.91

M	configure.ac

commit 958b212c3ac1750950b050442ec7320ff7a7d1bf
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-24 15:04:25 +0800

    update pinyin.cpp and zhuyin.cpp

M	src/pinyin.cpp
M	src/zhuyin.cpp

commit c3063e071bf6a7888ddccdd75b361dbab2386f5e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-24 15:01:42 +0800

    improve full pinyin parser auto correction

M	src/storage/pinyin_parser2.cpp

commit 4d0e7eebec72ed95b4278161b115f78b0550753a
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-24 14:59:16 +0800

    refactor parse_one_key method

M	src/storage/pinyin_parser2.h
M	src/storage/zhuyin_parser2.cpp
M	src/storage/zhuyin_parser2.h

commit d9f677af1e3ef0f9abaaf95d511676b0e486fb57
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-24 14:16:24 +0800

    update pinyin_parser_table.h

M	src/storage/pinyin_parser_table.h

commit df02c758217f6f7cdb1b1fe60a5d103b0159c111
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-24 14:15:28 +0800

    update fullpinyintable.py

M	scripts2/fullpinyintable.py

commit dd4265ce0dc6c6082b935bf5746e961e0e01d41d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-24 10:34:43 +0800

    update options.py

M	scripts2/options.py

commit 6098520bd122047dffc3fe629d0d9503d949a9e2
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-23 18:11:04 +0800

    clean up pinyin.h

M	src/pinyin.h

commit ec82da0bae97807171f0bef61de7e380a2d7e493
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-20 16:37:10 +0800

    Fixes typo

M	src/storage/chewing_large_table2.cpp

commit a6d51d2f7c513393e92105290f488ee3bb4930e8
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-06-08 08:57:30 +0200

    Fix include issue with autogenerated config.h

M	CMakeLists.txt

commit b206de15c32835e58654ba19238e232210df1097
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-06-07 13:42:28 +0200

    Fix CMake build: missing ../data/table.conf
    
    Add data/table.conf as a output target from
    downloaded textual model data, so that it
    can be found during the build phase.

M	data/CMakeLists.txt

commit dd349069f9bd37f3e030c9fa4875eed6ccc8f628
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-02-27 14:09:45 +0800

    update pinyin_custom2.h for C language compatibility

M	src/storage/pinyin_custom2.h

commit b2ceacea92f4a811fcf7ef54f25f1b037f96b332
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-02-27 13:50:38 +0800

    remove pinyin_custom3.h

D	src/storage/pinyin_custom3.h

commit 9a2520b19a068ccf86cfda537ef114b7d1ae58a7
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-26 12:06:13 +0800

    update Makefile.am

M	Makefile.am
M	tests/lookup/Makefile.am
M	tests/storage/Makefile.am
M	utils/storage/Makefile.am

commit c1f5eda1df8cbba3a00269aac35b207eb8eeb5c4
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-26 12:01:27 +0800

    update ChangeLog

M	ChangeLog
M	NEWS

commit 3cf88c57de20fc04c52a8e6f98e074b83e57b2a5
Author: Peng Wu <pwu@redhat.com>
Date:   2019-11-28 16:15:27 +0800

    use AM_CPPFLAGS instead of INCLUDES in automake

M	tests/Makefile.am
M	tests/include/Makefile.am
M	tests/lookup/Makefile.am
M	tests/storage/Makefile.am
M	utils/segment/Makefile.am
M	utils/storage/Makefile.am
M	utils/training/Makefile.am

commit 648c5f863a43d3686dbea71a98ccd44a089a65c4
Author: Peng Wu <pwu@redhat.com>
Date:   2019-11-28 16:05:48 +0800

    improve autoconf for libpinyin.la and libzhuyin.la

M	src/Makefile.am
M	src/include/Makefile.am
M	src/lookup/Makefile.am
M	src/storage/Makefile.am

commit 50a87b3efe0b10a9ae2ce989c0c0172e2984af32
Author: Peng Wu <pwu@redhat.com>
Date:   2019-11-28 15:42:26 +0800

    improve autoconf for libpinyin_internal.a

M	src/Makefile.am
M	src/lookup/Makefile.am
M	src/storage/Makefile.am
M	tests/lookup/Makefile.am
M	tests/storage/Makefile.am
M	utils/segment/Makefile.am
M	utils/storage/Makefile.am
M	utils/training/Makefile.am

commit 51c551dc9a8b264315100a774720373a0e3744e6
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-18 13:31:53 +0800

    update ChangeLog

M	ChangeLog

commit 66b6b0c8c050e0ecdfc9fcd5068953b388a9428e
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-15 16:52:52 +0800

    update CMakeLists.txt

M	data/CMakeLists.txt

commit d67a295ecd01161d3eec5629c2c019b2961fd7cd
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-15 16:51:47 +0800

    update Makefile.am

M	data/Makefile.am

commit cdf7b5f6eb437e84f095511ff2fd67917dd7dae5
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-06 15:43:41 +0800

    update CMakeLists.txt

M	data/CMakeLists.txt

commit b5ea59f799e2f57dcddc4feb485f380c8c32b643
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-06 15:43:11 +0800

    update Makefile.am

M	data/Makefile.am

commit f20cb306afd416fbc0a2198b865a05e77afeed71
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-05 13:42:25 +0800

    bump version 2.3.0

M	configure.ac

commit 01790e725a92457cfaa2ef95f2687dafbbfeae56
Author: Martin Blanchard <tchaik@gmx.com>
Date:   2019-02-17 17:18:13 +0000

    prefer autoreconf over gnome-common
    
    The gnome-common package is deprecated:
    
        https://wiki.gnome.org/Projects/GnomeCommon/Migration

M	autogen.sh

commit c105c68309d7607a82b29c79b6bbeeb98ef4b3b2
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-17 15:28:53 +0800

    Revert "update test_ngram.cpp"
    
    This reverts commit 5190d206dca53d97127f645f3477730d6955a463.

M	tests/storage/test_ngram.cpp

commit b44bdf7950cfbb445c799f2c7f1c9747c0b24515
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-17 15:27:48 +0800

    Revert "update pinyin.cpp and zhuyin.cpp"
    
    This reverts commit 97ca682a1099ae6da6ceacd9b15f654562567013.

M	src/pinyin.cpp
M	src/zhuyin.cpp

commit 35adc8e4fc41dd8c989dc16760e179b63637203a
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-17 15:20:32 +0800

    Revert "not use in-memory DBM in src/storage"
    
    This reverts commit 5607752c2b989849923676f4a925e5315a3303d4.

M	src/storage/chewing_large_table2_bdb.cpp
M	src/storage/chewing_large_table2_bdb.h
M	src/storage/chewing_large_table2_kyotodb.cpp
M	src/storage/chewing_large_table2_kyotodb.h
M	src/storage/facade_chewing_table2.h
M	src/storage/facade_phrase_table3.h
M	src/storage/ngram_bdb.cpp
M	src/storage/ngram_bdb.h
M	src/storage/ngram_kyotodb.cpp
M	src/storage/ngram_kyotodb.h
M	src/storage/phrase_large_table3_bdb.cpp
M	src/storage/phrase_large_table3_bdb.h
M	src/storage/phrase_large_table3_kyotodb.cpp
M	src/storage/phrase_large_table3_kyotodb.h

commit b825ba207cec09f53f100fa48c177c1fddf9949b
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-15 11:52:40 +0800

    update ChangeLog

M	ChangeLog

commit b708ceefcd64a699d1ef8af774c9bd469bf76174
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-12-10 15:33:07 +0800

    update PhoneticLookup usage

M	src/pinyin.cpp
M	tests/lookup/test_pinyin_lookup.cpp

commit 5643eb4c61a7c7425311471057c6346668145612
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-11-15 09:56:14 +0800

    improve pinyin_guess_predicted_candidates method

M	src/pinyin.cpp

commit 43dc88ed102142ceeeb89349a1455d0370733073
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-11-15 09:57:21 +0800

    bump version 2.2.2

M	configure.ac

commit c8417b7b37209ce97daa7c3e27855b5023aa268e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-10 15:17:51 +0800

    update ChangeLog

M	ChangeLog

commit f4c2fcd18a91193bc2e3f3d944f04b69f52d4f7f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-10 15:16:39 +0800

    bump version 2.2.1

M	configure.ac

commit 0fadbc2aaf01da5f83fed00238357e8181d4a051
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-10 15:15:36 +0800

    add safe guard to pinyin_guess_predicted_candidates function

M	src/pinyin.cpp

commit 9bd208f580e907090037352dc39fbb1f95065eaf
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   2018-08-19 01:53:47 +0800

    include config.h to allow using getline on freebsd

M	tests/test_zhuyin.cpp
M	utils/storage/gen_zhuyin_table.cpp

commit d9741044eed56707ba134ebda7a364f1df847699
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 14:50:39 +0800

    fixes filter variable

M	src/pinyin.cpp

commit 62194b33291e58cbe43484a905b99c79e957ed9d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-21 09:39:09 +0800

    fixes pinyin_guess_predicted_candidates function

M	src/pinyin.cpp

commit 86a756c0d888220b6c4e667642e0ee0ddb737d83
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-26 16:44:26 +0800

    skip libintl.h checks

M	CMakeLists.txt
M	configure.ac

commit 63076e51a67336970973172189b450a7d076b7d9
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-17 11:08:05 +0800

    update ChangeLog

M	ChangeLog

commit 41a100f6c8694a53fea5703197ff4a6441a61799
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-17 11:06:42 +0800

    bump version 2.2.0

M	configure.ac

commit dff0311385bfab9fb898ecbef89b386ded5205c1
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-10 13:59:37 +0800

    improve candidates sorting

M	src/pinyin.cpp

commit 3a41e1671aa3c71add07fc3dc09de6b71767b64a
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-10 13:55:32 +0800

    reduce memory usage

M	src/pinyin.cpp
M	tests/lookup/test_pinyin_lookup.cpp

commit c5b2a03a056032a69564470f39a0b272ac35cbdd
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-10 13:53:54 +0800

    bump version 2.1.92

M	configure.ac

commit f4461b1f7687eba6ac95e8c995d0e3509adbb30d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-29 15:00:42 +0800

    fixes compile

M	src/pinyin.cpp
M	src/zhuyin.cpp
M	tests/lookup/test_pinyin_lookup.cpp
M	utils/training/eval_correction_rate.cpp

commit 813cedc202276fa6d4127446c4688d8a706c5ff5
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-29 14:50:29 +0800

    intro nstore parameter

M	src/lookup/phonetic_lookup.h
M	src/lookup/phonetic_lookup_heap.h
M	src/lookup/phonetic_lookup_linear.h

commit f8c1d027bd98ba452a4cc0210d80a692077e3f47
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-25 14:59:35 +0800

    update gen_pinyin_table.cpp

M	utils/storage/gen_pinyin_table.cpp

commit ff713df50634fd5a2d3e5fd64fe5c57eb45b2b7a
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-25 12:58:23 +0800

    fixes fscanf usage

M	src/storage/chewing_large_table.cpp
M	src/storage/chewing_large_table2.cpp
M	src/storage/phrase_index.cpp
M	src/storage/phrase_large_table2.cpp
M	src/storage/phrase_large_table3.cpp
M	src/storage/table_info.cpp
M	utils/storage/gen_pinyin_table.cpp

commit 011d3bc3f4f956eac98e98aeb284ef9b085eae19
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-02 15:07:06 +0800

    update ChangeLog

M	ChangeLog

commit 0f6f371a5b6089d0ac6c5eb457611bd6c6f1b7c4
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-02 15:05:44 +0800

    bump version 2.1.91

M	configure.ac

commit 726b9d8a605c7e81f3a3fc44f1322ce16c5452fc
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-02 11:24:34 +0800

    use model15.text.tar.gz

M	data/CMakeLists.txt
M	data/Makefile.am

commit 9a44d8280120a80d53a240cc63347e0a3dbadbae
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-28 11:38:59 +0800

    write is_valid_zhuyin method

M	src/storage/chewing_key.cpp
M	src/storage/chewing_key.h
M	src/storage/zhuyin_parser2.cpp

commit 3eb8b2d5b4afec1da2e2525fe0c383c2e7f07a50
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-28 11:12:51 +0800

    update zhuyin_table.h

M	src/storage/zhuyin_table.h

commit c1e1f7f4cd797300acaf9b1e7e7a931515d04ea9
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-28 11:10:08 +0800

    update special_table.h

M	src/storage/special_table.h

commit d3767079f2ebb8bd834051ad92e0b88fa7097ce2
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-28 11:03:35 +0800

    fixes compile

M	scripts2/templates/zhuyin_table.h.in

commit 1f2bafab941a38307b78fb2236e7aee74b8f0f89
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-28 10:58:56 +0800

    update scripts2 for valid zhuyin table

M	scripts2/generateheader.py
M	scripts2/templates/zhuyin_table.h.in
M	scripts2/zhuyin.py

commit c0f1489a9dc0fba1cb69082b196696c812340613
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-27 17:17:57 +0800

    write zhuyin.py

A	scripts2/zhuyin.py

commit 2583889378de8976e74e992fe28d3b08ab1c5276
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-27 17:15:39 +0800

    refactor code

M	scripts2/chewing.py
M	scripts2/fullpinyintable.py

commit 3e5d3b78c18e7c7d73733af756fb52f483a974d2
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-25 15:17:24 +0800

    update comment

M	src/lookup/phonetic_lookup.h

commit 8b618b16fd4cead026fdc48177d6e31fbce5fc49
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-12-25 15:13:14 +0800

    fixes get_candidates method

M	src/lookup/phonetic_lookup.h

commit d4a34f42b9e7c877e7d268b0d2a3b336da5e138c
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-31 15:41:53 +0800

    update cmake files

M	CMakeLists.txt
M	src/CMakeLists.txt
M	src/lookup/CMakeLists.txt
M	tests/CMakeLists.txt
M	tests/include/CMakeLists.txt
M	tests/lookup/CMakeLists.txt
M	tests/storage/CMakeLists.txt
M	utils/segment/CMakeLists.txt
[--snip--]
